#ifndef MANAGER_H
#define MANAGER_H

#define CMD_EXIT	0
#define CMD_AP		1
#define CMD_TX		2
#define CMD_RX		3
#define CMD_NSLIST	4
#define CMD_TIMER	5
#define CMD_NEWCFG	6

#define MGR_NOSSID	1
#define MGR_NOBSSID	2
#define MGR_DISABLED	4

#define MAX_NS		4
#define SSID_MAX	32
#define BSSID_SIZE	6

typedef struct
{
	struct in6_addr addr[MAX_NS];
	unsigned int valid[MAX_NS];
	int total;
} NSLIST;

typedef struct
{
	int valid;
	unsigned char ap[BSSID_SIZE];
	char ssid[SSID_MAX+1];
} AP;

typedef struct cfg
{
	struct cfg *next;
	int flags;
	int burst;
	unsigned char ap[BSSID_SIZE];
	char ssid[SSID_MAX+1];
} CFG;

typedef struct
{
        int total;
        struct in6_addr addr[MAX_NS];
} V6NS;

typedef struct
{
        int total;
        struct in_addr addr[MAX_NS];
} V4NS;

extern void mgr_exit(void);
extern int mgr_init(int burst,CFG *cfg);
extern int mgr_start(void);
extern void mgr_stop(void);
extern void mgr_cmd(int cmd,void *data,int len);

#endif
